Modify

Opened 9 years ago

Closed 9 years ago

#4847 closed enhancement (fixed)

Support for LZMA457 and SquashFS3.4

Reported by: luigi.mantellini@… Owned by: developers
Priority: high Milestone: Features Paradise
Component: base system Version:
Keywords: lzma squashfs Cc:

Description

Hi Buys,

I'm using (for my needs) the last squashfs 3.4 that requires lzma457 support.

I submit you my tools/lzma and tools/squashfs directories hoping to see the squashfs3.4 support on openwrt mainstream.

You need to replace the kernel patches in order to add squashfs3.4 support.

On my kernel I'm using the patches found here:

http://www.squashfs-lzma.org/

without any problem.

best regards,

luigi

Attachments (1)

lzma457-squashfs34-support.tar.gz (11.8 KB) - added by luigi.mantellini@… 9 years ago.
my tools/lzma & tools/squashfs directories

Download all attachments as: .zip

Change History (4)

Changed 9 years ago by luigi.mantellini@…

my tools/lzma & tools/squashfs directories

comment:1 follow-up: Changed 9 years ago by mstombs

I can confirm this patch allows the brcm-2.4 to compile, but does anyone know of a backport of the kernel patches to Linux 2.4 (2.4.35.4) for the decompressor?

comment:2 in reply to: ↑ 1 Changed 9 years ago by luigi.mantellini@…

Replying to mstombs:

I can confirm this patch allows the brcm-2.4 to compile, but does anyone know of a backport of the kernel patches to Linux 2.4 (2.4.35.4) for the decompressor?

I noticed that OpenWRT devs are planning to upgrade the lzma lib (and squashfs I suppose).
Can anyone describe these upgrade plans?

thanks

comio

comment:3 Changed 9 years ago by florian

  • Resolution set to fixed
  • Status changed from new to closed

squashfs4 and lzma 4.65 added in [15883].

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.